---
lang: en
title: 'API docs: rest.node'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.node.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [Node](./rest.node.md)

## Node interface

A Node in the trie

**Signature:**

```typescript
export interface Node<T> 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[children](./rest.node.children.md)


</td><td>

`readonly`


</td><td>

{ \[key: string\]: [Node](./rest.node.md)<!-- -->&lt;T&gt;; }


</td><td>

Children of the node


</td></tr>
<tr><td>

[key](./rest.node.key.md)


</td><td>


</td><td>

string


</td><td>

Key of the node


</td></tr>
<tr><td>

[names?](./rest.node.names.md)


</td><td>


</td><td>

string\[\]


</td><td>

_(Optional)_ Names of the node if it contains named parameters


</td></tr>
<tr><td>

[regexp?](./rest.node.regexp.md)


</td><td>


</td><td>

RegExp


</td><td>

_(Optional)_ Regular expression for the template


</td></tr>
<tr><td>

[value?](./rest.node.value.md)


</td><td>


</td><td>

T


</td><td>

_(Optional)_ Value of the node


</td></tr>
</tbody></table>


